Welcome to Fawlty Language!

Fawlty Language is an IDL8 (Interactive Data Language) compatible compiler (IDL is a registered trademark of Harris Geospatial Solutions Products.

Features:

License:

FL is freeware, you can use it without any restriction, you can even redistribute it if you want.

Download (backup: Dropbox share)

FL 0.79.37 current development snapshot (6/Jul/2016)

FL 0.79.36 previous development snapshot (9/Jun/2016)

Installation:

Just unpack the archive. The command-line and graphical interfaces are separated into two executables on all platforms. The CMD executable can be started from a terminal/console, while the GUI executable can be started by (double)clicking on it in a file manager.

Notes

The FL_DIR environment variable is not needed any longer, however, if it is set, it must point to the correct directory (...fl/fl_0.79.37 on Windows and Linux, .../fl.app on OS X). Use this as a backup method to start FL if auto-discovery does not work.

Raspberry 2: FL needs the following X11 libraries:

If a library is missing on your system, do 'sudo apt-get install pkg' first.

FL sometimes crashes on Linux with a 'Fatal: Cannot mix incompatible Qt library (version 0x407..) with this library (version 0x407..)' message. This is caused by some unfortunate interaction between KDE's and FL's Qt libraries. One (brute force) solution is to unset all QT_* environment variables and to remove the ~/.config/Trolltech.conf file before starting FL.

Documentation:

FL is almost 100% compatible with IDL 8.0. IDL documentation is available on the net at Harris Geospatial Solutions.

IDL programs

Small IDL programs I find useful: pro

Contact:

Questions, comments, bug reports can be sent to: FawltyLanguage a_t gmail d_o_t com or you can report bugs in the BitBucket issue tracker.

Enjoy!



Lajos Földy

Last modified: 2016/Jul/6.